Package org.apache.synapse.transport.util

# Class PassThroughMessageHandler

java.lang.Object
org.apache.synapse.transport.util.PassThroughMessageHandler

All Implemented Interfaces:
  `MessageHandler`

public class PassThroughMessageHandler extends Object implements MessageHandler
Message handler to handle the messages coming through Pass-Through transport.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PassThroughMessageHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildMessage(org.apache.axis2.context.MessageContext messageContext)`
  `void`
  `buildMessage(org.apache.axis2.context.MessageContext messageContext, boolean earlyBuild)`
  `InputStream`
  `getMessageDataStream(org.apache.axis2.context.MessageContext context)`
  `boolean`
  `isMessageBiggerThanBuffer(ReadableByteChannel src, WritableByteChannel dest)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PassThroughMessageHandler

    public PassThroughMessageHandler()

- ## Method Details

  - ### getMessageDataStream

    public InputStream getMessageDataStream(org.apache.axis2.context.MessageContext context) throws IOException
    Specified by:
      `getMessageDataStream` in interface `MessageHandler`
    Throws:
      `IOException`

  - ### buildMessage

    public void buildMessage(org.apache.axis2.context.MessageContext messageContext) throws XMLStreamException, IOException
    Specified by:
      `buildMessage` in interface `MessageHandler`
    Throws:
      `XMLStreamException`
      `IOException`

  - ### buildMessage

    public void buildMessage(org.apache.axis2.context.MessageContext messageContext, boolean earlyBuild) throws XMLStreamException, IOException
    Specified by:
      `buildMessage` in interface `MessageHandler`
    Throws:
      `XMLStreamException`
      `IOException`

  - ### isMessageBiggerThanBuffer

    public boolean isMessageBiggerThanBuffer(ReadableByteChannel src, WritableByteChannel dest) throws IOException
    Throws:
      `IOException`